<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>magpar: png/writepng.c File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body>
<!-- Generated by Doxygen 1.6.3 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div class="tabs">
    <ul>
      <li><a href="files.html"><span>File&nbsp;List</span></a></li>
      <li><a href="globals.html"><span>Globals</span></a></li>
    </ul>
  </div>
  <div class="navpath"><a class="el" href="dir_faf003682c2bcfc217df395c6fafe5c7.html">png</a>
  </div>
</div>
<div class="contents">
<h1>writepng.c File Reference</h1><code>#include &quot;<a class="el" href="writepng_8h_source.html">writepng.h</a>&quot;</code><br/>
<div class="dynheader">
Include dependency graph for writepng.c:</div>
<div class="dynsection">
<div class="center"><img src="writepng_8c__incl.png" border="0" usemap="#png_2writepng_8c_map" alt=""/></div>
<map name="png_2writepng_8c_map" id="png_2writepng_8c">
<area shape="rect" id="node3" href="writepng_8h.html" title="writepng.h" alt="" coords="205,86,285,117"/><area shape="rect" id="node5" href="griddata_8h.html" title="griddata.h" alt="" coords="163,166,240,197"/></map>
</div>

<p><a href="writepng_8c_source.html">Go to the source code of this file.</a></p>
<table border="0" cellpadding="0" cellspacing="0">
<tr><td colspan="2"><h2>Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="writepng_8c.html#a7770d19aebe21e0a423fd40781030bcb">WritePNGfile</a> (char *file_name, int width, int height, png_bytepp image, char *desc)</td></tr>
</table>
<hr/><h2>Function Documentation</h2>
<a class="anchor" id="a7770d19aebe21e0a423fd40781030bcb"></a><!-- doxytag: member="writepng.c::WritePNGfile" ref="a7770d19aebe21e0a423fd40781030bcb" args="(char *file_name, int width, int height, png_bytepp image, char *desc)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int WritePNGfile </td>
          <td>(</td>
          <td class="paramtype">char *&nbsp;</td>
          <td class="paramname"> <em>file_name</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&nbsp;</td>
          <td class="paramname"> <em>width</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&nbsp;</td>
          <td class="paramname"> <em>height</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">png_bytepp&nbsp;</td>
          <td class="paramname"> <em>image</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">char *&nbsp;</td>
          <td class="paramname"> <em>desc</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="writepng_8c_source.html#l00039">39</a> of file <a class="el" href="writepng_8c_source.html">writepng.c</a>.</p>

<p>References <a class="el" href="griddata_8h_source.html#l00082">MagparFunctionInfoBegin</a>, and <a class="el" href="griddata_8h_source.html#l00083">MagparFunctionInfoReturn</a>.</p>

<p>Referenced by <a class="el" href="writedatapng_8c_source.html#l00168">WritePNG()</a>, and <a class="el" href="writedatapng2_8c_source.html#l00168">WritePNG2()</a>.</p>

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dynsection">
<div class="center"><img src="writepng_8c_a7770d19aebe21e0a423fd40781030bcb_icgraph.png" border="0" usemap="#writepng_8c_a7770d19aebe21e0a423fd40781030bcb_icgraph_map" alt=""></div>
<map name="writepng_8c_a7770d19aebe21e0a423fd40781030bcb_icgraph_map" id="writepng_8c_a7770d19aebe21e0a423fd40781030bcb_icgraph">
<area shape="rect" id="node3" href="writepng_8h.html#a629c0cdcd1b586d1645c533c397e0456" title="WritePNG" alt="" coords="155,146,232,177"/><area shape="rect" id="node34" href="writepng_8h.html#aaa844719c96178cd07f858c1192c7341" title="WritePNG2" alt="" coords="151,199,236,230"/><area shape="rect" id="node5" href="writedata_8c.html#a7ff05d6bfdfc02445d6245fec57f686e" title="WriteSet" alt="" coords="287,173,356,203"/><area shape="rect" id="node7" href="checkiterationemini_8c.html#a1c9f3282235f811af60323611535e99b" title="CheckIterationEmini" alt="" coords="405,119,544,150"/><area shape="rect" id="node9" href="parinit_8c.html#aab78598aa0d3ece1097d988997f0aea3" title="ParInit" alt="" coords="768,145,827,175"/><area shape="rect" id="node13" href="main_8c.html#af91d94707b6b88920418dfb69be0e106" title="Solve" alt="" coords="629,273,683,303"/><area shape="rect" id="node16" href="checkiterationllg_8c.html#a5433821a82b3ad3af34bb43677541a33" title="CheckIterationLLG" alt="" coords="411,173,539,203"/><area shape="rect" id="node20" href="eminisolve_8c.html#a5eef315eb34f052b9e148bd70caaea92" title="ConvTest" alt="" coords="436,66,513,97"/><area shape="rect" id="node25" href="eminisolve_8c.html#a17d21e725c11c8a2fade9a2d83d98047" title="EminiSolve" alt="" coords="432,226,517,257"/><area shape="rect" id="node29" href="main_8c.html#ae4f2eb4a1c11c65d9a480b992675dcf9" title="keepsolving" alt="" coords="429,279,520,310"/><area shape="rect" id="node11" href="main_8c.html#a7a29781a20c5dd4153c3c1cecf0ff328" title="main" alt="" coords="875,197,925,227"/><area shape="rect" id="node22" href="eminisolve_8c.html#a7be0557728f95ef22f1ba7f2b99b5707" title="myTSCreateEmini" alt="" coords="593,66,719,97"/></map>
</div>
</p>

</div>
</div>
</div>
  <hr>
  <address>
    magpar - Parallel Finite Element Micromagnetics Package<br>
    Copyright (C) 2002-2010 Werner Scholz
  </address>
  </body>
</html>

